
(function($){

    // 用户/IT号信息&关注按钮
    var itAccountId = parseInt($(".follow_btn").data("itaccountid"));
    var userId = parseInt($(".follow_btn").data("userid"));
//    var name = parseInt($(".follow_btn").data("name"));
    var targetUrl;
    if(itAccountId > 0){
        targetUrl = "ithome://wmpage?id=" + itAccountId;
    }else if(userId > 0){
        targetUrl = "ithome://userpage?id=" + userId;
    }else{
        return;
    }

    $("body").on('click', ".post_meta_author_avatar, .author_name", function(){
        rm && rm.navigateTo({
           url:targetUrl
        })
    });

    rm.getUserInfo(function(res){
        if(res.success){
            rm.sendMessage(
                {
                    name: "app-getFollowState",
                    itaccountid: itAccountId,
                    userid: userId,
                },
                function(res){
                    if(res.success){
                        changeFollowUIState(res.isFollowed ? 1 : -1);
                    }
                }
            )
        }
    })


    var states = [-1, 1];
    states.forEach(function(state){
        $("body").on('click', ".follow_state_" + state, function(){
            rm.login(function(res){
                if(res.success){
                    console.log(state == 1 ? "取消关注" : "添加关注");
                    changeFollowUIState(0);
                    rm.sendMessage(
                        {
                            name: "app-changeFollowState",
                            itaccountid: itAccountId,
                            userid: userId,
                            isAddFollow: state == -1
                        },
                        function(res){
                            if(!res.success){
                                rm.toast({
                                    data:res.message
                                })
                            }
                            setTimeout(function(){
                               changeFollowUIState(res.success ? -state : state)
                           }, res.success ? 1000 : 0)
                        }
                    )
                }
            })
        });
    })

    function changeFollowUIState(state){
        $(".follow_btn")
        .removeClass("follow_state_1")
        .removeClass("follow_state_-1")
        .removeClass("follow_state_0")
        .addClass("follow_state_" + state);
    }

})(jQuery);